# from utils import *
import xlsxwriter # pip install xlsxwriter
from canvasapi import Canvas #pip install canvasapi

def ReadCanvasToken():
    with open('privateCanvasToken', 'r') as f:
        lines = f.read()
    return lines




canvas = Canvas("https://ju.instructure.com/", ReadCanvasToken())

canvasCourseID = "9938"

workbook = xlsxwriter.Workbook('Students.xlsx')
worksheet = workbook.add_worksheet()

course = canvas.get_course(canvasCourseID)
users = course.get_users(enrollment_type=['student'])
for i,user in enumerate(users):
    name = user.name.split(' ', 1)
    #if not any(user.email in student for student in studentData) and not any(user.email in student for student in spreadSheetValues) :
        #studentData.append([name[0], name[1], user.email, courseYears[j]])
    print(f"{name[0]} {name[1]}, {user.email}")
    worksheet.write(f'A{i+1}', f'{name[0]}')
    worksheet.write(f'B{i+1}', f'{name[1]}')
    worksheet.write(f'C{i+1}', f'{user.email}')
    

workbook.close()
